Page MenuHomePhabricator

[debuginfo-tests] [dexter] Add test to check debug experience with __attribute__((optnone))
ClosedPublic

Authored by n-omer on Oct 21 2020, 5:49 AM.

Details

Summary

This diff adds a test that checks debugging experience in functions that are marked __attribute__((optnone)) and have loops inside them.

Diff Detail

Event Timeline

n-omer requested review of this revision.Oct 21 2020, 5:49 AM
n-omer created this revision.
n-omer edited the summary of this revision. (Show Details)
TWeaver accepted this revision.Nov 3 2020, 6:32 AM

Hey Nabeel, thanks for this.

This revision is now accepted and ready to land.Nov 3 2020, 6:32 AM

I'll get this committed for you shortly.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptNov 4 2020, 8:55 AM
ldionne added a subscriber: ldionne.Nov 6 2020, 5:16 AM

I don't think this was meant to be committed to <llvm-root>/dexter-tests/optnone-loops.cpp. Am I mistaken?

I don't think this was meant to be committed to <llvm-root>/dexter-tests/optnone-loops.cpp. Am I mistaken?

See https://reviews.llvm.org/D90931.